VSTGUI: VSTGUIEditorInterface Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
VSTGUIEditorInterface Class Reference
Inheritance diagram for VSTGUIEditorInterface:

## Public Member Functions
virtual void | doIdleStuff ()
virtual int32_t | getKnobMode () const
virtual void | beginEdit (int32_t index)
virtual void | endEdit (int32_t index)
virtual bool | beforeSizeChange (const CRect &newSize, const CRect &oldSize)
| frame will change size, if this returns false the upstream implementation does not allow it and thus the size of the frame will not change
virtual CFrame * | getFrame () const

## Protected Member Functions
| VSTGUIEditorInterface ()=default
virtual | ~VSTGUIEditorInterface () noexcept=default

## Protected Attributes
CFrame * | frame {nullptr}

## Constructor & Destructor Documentation

VSTGUIEditorInterface | ( |  | ) |
| protecteddefault

virtual ~VSTGUIEditorInterface | ( |  | ) |
| protectedvirtualdefaultnoexcept

## Member Function Documentation

virtual bool beforeSizeChange | ( | const CRect & | newSize,
|  | const CRect & | oldSize
| ) |  |
| inlinevirtual

frame will change size, if this returns false the upstream implementation does not allow it and thus the size of the frame will not change

Reimplemented in AEffGUIEditor.

virtual void beginEdit | ( | int32_t | index | ) |
| inlinevirtual

virtual void doIdleStuff | ( |  | ) |
| inlinevirtual

Reimplemented in AEffGUIEditor.

virtual void endEdit | ( | int32_t | index | ) |
| inlinevirtual

virtual CFrame* getFrame | ( |  | ) | const
| inlinevirtual

virtual int32_t getKnobMode | ( |  | ) | const
| inlinevirtual

Reimplemented in AEffGUIEditor.

## Member Data Documentation

CFrame* frame {nullptr}
| protected

The documentation for this class was generated from the following file:

- cframe.h